@font-face {
  font-family: 'Goma';
  src: url('fonts/gomarice_goma_block.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'SquareAntiqua';
  src: url('fonts/Square\ Antiqua/SquareAntiqua-Book.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}

body {
  font-family: var(--font);
  background-color: var(--background-color-2);
  background-size: 100% 30%;
  background-position: center top;
  background-attachment: scroll;
  background-repeat: repeat-y;
  margin: 0px;
  min-height: 100vh;
  overflow-y: auto;
  overflow-x: hidden;
}

/* Subtitle styling */
.subtitle {
  margin-left: 15px;

  color: var(--primary-muted);
  font-style: italic;
  
  font-size: var(--ui-font-size);
  font-weight: normal;
  font-family: var(--font);
  border-bottom: 1px solid transparent;
  transition: border-color 0.2s;
}

/* Control Icons */
.control-icons {
  position: fixed;
  left: 50%;
  top: 50%;
  transform: translateX(-50%);
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 0.5em;
  z-index: 1500;
  opacity: 0.6;
  transition: opacity 0.2s ease;
}

.control-icons.hidden {
  opacity: 0;
  pointer-events: none;
}

.control-icon-row {
  display: flex;
  gap: 0.5em;
  justify-content: center;
}

.control-icon {
  width: 2.5rem;
  height: 2.5rem;
  background-color: var(--highlight);
  border-radius: 0.375em;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  color: var(--accent-color);
}

.control-icon svg {
  stroke: var(--accent-color);
  width: 1.25rem;
  height: 1.25rem;
}

.control-icon.spacebar {
  width: 9rem;
}

.control-icon span {
  font-family: var(--font-2);
  font-size: var(--ui-font-size);
  margin-top: 0.125em;
}

#editor-container {
  position: relative;
  height: 100vh;
  aspect-ratio: 8.5/11;
  width: auto;
  margin: 4rem auto;
  box-sizing: border-box;
  border: 1.2px solid var(--text-color);

}

@media (max-width: 600px) {
  #editor-container {
    margin-top: 0;
    border: none;
  }
}

/* 
the editor font size will determine the size of the textboxes,
which will determine the size of the streams 
*/
#editor {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  min-height: 100%;
  box-sizing: border-box;
  background-color: var(--background-color);
  cursor: text;
  padding: calc(100% / 8.5);
  outline: none;
  overflow: hidden;
  font-family: var(--game-font);
}

.prompt-container {
  top: 0;
  left: 0;
  width: 75vw;
  height: 10vh;
  margin: 3vh auto;
  width: 80vh;
}

#prompt-display {
  text-align: left;
  margin-top: 0px;
  font-size: var(--ui-font-size);
  color: var(--text-color);
}